@my-swu/simulator-client / LimitedEventCommandRequest
Interface: LimitedEventCommandRequest
Defined in: packages/ts-sdk/src/generated/types/limited-event-command-request.ts:31
Command request body for a limited event.
Example:
import type { LimitedEventCommandRequest } from '@my-swu/simulator-client'
const limitedEventCommandRequest: LimitedEventCommandRequest = {
seatToken: 'limited_token_123',
command: { type: 'readyForNextDraft' },
}
console.log(limitedEventCommandRequest)Indexable
[
k:string]:unknown
Properties
command
Example:
import type { LimitedEventCommandRequest } from '@my-swu/simulator-client'
const limitedEventCommandRequest: LimitedEventCommandRequest = {
seatToken: 'limited_token_123',
command: { type: 'readyForNextDraft' },
}
const { command: limitedEventCommand } = limitedEventCommandRequest
console.log(limitedEventCommand)command: {[
k:string]:unknown;cardId:number;type:"pickLeader"; } | {[k:string]:unknown;cardId:number;type:"pickCard"; } | {[k:string]:unknown;type:"readyForNextDraft"; }
Defined in: packages/ts-sdk/src/generated/types/limited-event-command-request.ts:35
Command to apply.
Union Members
Type Literal
{[k: string]: unknown; cardId: number; type: "pickLeader"; }
Index Signature
[k: string]: unknown
cardId
cardId:
number
Picked leader card id.
type
type:
"pickLeader"
Type Literal
{[k: string]: unknown; cardId: number; type: "pickCard"; }
Index Signature
[k: string]: unknown
cardId
cardId:
number
Picked card id.
type
type:
"pickCard"
Type Literal
{[k: string]: unknown; type: "readyForNextDraft"; }
seatToken
Example:
import type { LimitedEventCommandRequest } from '@my-swu/simulator-client'
const limitedEventCommandRequest: LimitedEventCommandRequest = {
seatToken: 'limited_token_123',
command: { type: 'readyForNextDraft' },
}
const { seatToken } = limitedEventCommandRequest
console.log(seatToken)seatToken:
string
Defined in: packages/ts-sdk/src/generated/types/limited-event-command-request.ts:56
Seat token returned by create or join.
